%bcond_with  bootstrap

Name:           maven-bundle-plugin
Version:        5.1.9
Release:        %mkrel 2
Group:          Development/Java
Summary:        Maven Bundle Plugin
License:        Apache-2.0
URL:            https://felix.apache.org
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://repo1.maven.org/maven2/org/apache/felix/maven-bundle-plugin/%{version}/maven-bundle-plugin-%{version}-source-release.tar.gz

Patch:          0001-Fix-incorrect-parent-relativePath.patch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(biz.aQute.bnd:biz.aQute.bndlib)
BuildRequires:  mvn(org.apache.felix:felix-parent:pom:)
BuildRequires:  mvn(org.apache.felix:org.apache.felix.utils)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.shared:maven-dependency-tree)
BuildRequires:  mvn(org.apache.maven:maven-archiver)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-compat)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.slf4j:slf4j-api)
BuildRequires:  mvn(org.sonatype.plexus:plexus-build-api)
%endif
# TODO Remove in Fedora 46
Obsoletes:      %{name}-javadoc < 5.1.9-20

%description
Provides a maven plugin that supports creating an OSGi bundle
from the contents of the compilation classpath along with its
resources and dependencies. Plus a zillion other features.

%prep
%autosetup -p1

find -name '*.jar' -delete

# There is forked version of maven-osgi in
# src/{main,test}/java/org/apache/maven

rm -rf src/main/java/org/apache/felix/obrplugin/
%pom_remove_dep :org.apache.felix.bundlerepository

rm -f src/main/java/org/apache/felix/bundleplugin/baseline/BaselineReport.java
%pom_remove_dep :doxia-sink-api
%pom_remove_dep :doxia-site-renderer
%pom_remove_dep :maven-reporting-api

%pom_remove_dep :org.osgi.core
%pom_remove_dep :jdom

%pom_remove_plugin :maven-invoker-plugin

%build
# Tests depend on bundled JARs
# source and target set explicitly for xmvn-javadoc-plugin
%mvn_build -j -f -- -Dmaven.compiler.target=8

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE




%changelog
* Sun Jun 29 2025 daviddavid <daviddavid> 5.1.9-2.mga10
+ Revision: 2225063
- Remove javadoc subpackage
- Fix incorrect parent relativePath
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Thu Jun 20 2024 daviddavid <daviddavid> 5.1.9-1.mga10
+ Revision: 2075896
- Update to upstream version 5.1.9
- Renamed to maven-bundle-plugin

* Wed May 22 2024 ns80 <ns80> 5.1.1-3.mga10
+ Revision: 2066165
- rebuild for java 21

* Mon Jul 25 2022 neoclust <neoclust> 5.1.1-2.mga9
+ Revision: 1871069
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 5.1.1-1.mga9
+ Revision: 1870725
- New version 5.1.1
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Aug 28 2020 neoclust <neoclust> 4.2.1-1.mga8
+ Revision: 1619361
- New version 4.2.1

* Sat Feb 15 2020 umeabot <umeabot> 3.5.1-2.mga8
+ Revision: 1527494
- Mageia 8 Mass Rebuild

* Wed Jul 17 2019 daviddavid <daviddavid> 3.5.1-1.mga8
+ Revision: 1422175
- Update to upstream version 3.5.1
- Remove unneeded BR on doxia-core

* Tue Dec 11 2018 neoclust <neoclust> 3.5.0-2.mga7
+ Revision: 1340341
- Revert to release 3.5.0

* Sat Nov 17 2018 guillomovitch <guillomovitch> 3.5.1-1.mga7
+ Revision: 1330343
- new version 3.5.1

* Thu Sep 20 2018 daviddavid <daviddavid> 3.5.0-1.mga7
+ Revision: 1287595
- Update to upstream version 3.5.0 (sync with fc29)

* Wed Sep 19 2018 umeabot <umeabot> 3.2.0-3.mga7
+ Revision: 1264074
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 3.2.0-2.mga6
+ Revision: 1101397
- Rebuild maven-* packages

* Tue May 09 2017 neoclust <neoclust> 3.2.0-1.mga6
+ Revision: 1099923
- New version 3.2.0
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 3.0.1-2.mga6
+ Revision: 977285
- First rebuild of the java stack
- sync package maven-plugin-bundle with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Jan 10 2015 pterjan <pterjan> 2.3.7-14.mga5
+ Revision: 809763
- Add missing BuildRequires
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 2.3.7-13.mga5
+ Revision: 747229
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 dmorgan <dmorgan> 2.3.7-10.mga4
+ Revision: 488863
- Fix BR
- Remove unneeded BR: maven-plugin-testing-harness
- Rebuild against new javapackages
- Re-enable tests
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 11 2012 dmorgan <dmorgan> 2.3.7-4.mga3
+ Revision: 292243
- Clean spec file

* Sat Sep 08 2012 dmorgan <dmorgan> 2.3.7-3.mga3
+ Revision: 290491
- Add missing BuildRequires

* Thu Jul 05 2012 dmorgan <dmorgan> 2.3.7-2.mga3
+ Revision: 268207
- Add kxml2 to pom as a dependency

* Wed Jun 20 2012 dmorgan <dmorgan> 2.3.7-1.mga3
+ Revision: 262186
- New version 2.3.7

* Mon Dec 19 2011 gil <gil> 2.3.6-1.mga2
+ Revision: 184618
- update to 2.3.6

* Mon Nov 28 2011 dmorgan <dmorgan> 2.3.5-1.mga2
+ Revision: 173956
- Fix file list
- Do not depend of maven2
+ gil <gil>
- update to 2.3.5

* Thu Apr 28 2011 dmorgan <dmorgan> 2.0.0-10.mga1
+ Revision: 92713
- Rebuild after bootstrapping
- imported package maven-plugin-bundle

